Package com.xebialabs.xlrelease.api.v1.filter

# Class ReservationFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.filter.ReservationFilters

public class ReservationFilters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationFilters()`
  `ReservationFilters(String environmentTitle, List<String> stages, List<String> labels, List<String> applications, Date from, Date to)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getApplications()`
  `String`
  `getEnvironmentTitle()`
  `Date`
  `getFrom()`
  `List<String>`
  `getLabels()`
  `List<String>`
  `getStages()`
  `Date`
  `getTo()`
  `void`
  `setApplications(List<String> applications)`
  `void`
  `setEnvironmentTitle(String environmentTitle)`
  `void`
  `setFrom(Date from)`
  `void`
  `setLabels(List<String> labels)`
  `void`
  `setStages(List<String> stages)`
  `void`
  `setTo(Date to)`
  `void`
  `validate()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservationFilters

    public ReservationFilters()

  - ### ReservationFilters

    public ReservationFilters(String environmentTitle, List<String> stages, List<String> labels, List<String> applications, Date from, Date to)

- ## Method Details

  - ### validate

    public void validate()

  - ### getEnvironmentTitle

    public String getEnvironmentTitle()

  - ### setEnvironmentTitle

    public void setEnvironmentTitle(String environmentTitle)

  - ### getStages

    public List<String> getStages()

  - ### setStages

    public void setStages(List<String> stages)

  - ### getApplications

    public List<String> getApplications()

  - ### setApplications

    public void setApplications(List<String> applications)

  - ### getLabels

    public List<String> getLabels()

  - ### setLabels

    public void setLabels(List<String> labels)

  - ### getFrom

    public Date getFrom()

  - ### setFrom

    public void setFrom(Date from)

  - ### getTo

    public Date getTo()

  - ### setTo

    public void setTo(Date to)